org.eclipse.graphiti.ui.internal.util.draw2d

## Class Tooltip

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.draw2d.text.FlowFigure
    - - org.eclipse.draw2d.text.BlockFlow
      - - org.eclipse.draw2d.text.FlowPage
        - - org.eclipse.graphiti.ui.internal.util.draw2d.Tooltip

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

    public class Tooltip
    extends org.eclipse.draw2d.text.FlowPage

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`Tooltip()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.draw2d.geometry.Dimension` `getPreferredSize(int w, int h)`
`void` `setDescription(java.lang.String text)`
`void` `setHeader(java.lang.String text)`

### Methods inherited from class org.eclipse.draw2d.text.FlowPage

`addNotify, getMinimumSize, invalidate, postValidate, removeNotify, setBounds, validate`

### Methods inherited from class org.eclipse.draw2d.text.BlockFlow

`getHorizontalAligment, getLocalHorizontalAlignment, getLocalOrientation, getOrientation, paintBorder, revalidate, setHorizontalAligment, setOrientation`

### Methods inherited from class org.eclipse.draw2d.text.FlowFigure

`add, addLeadingWordRequirements, remove, setBidiInfo, setFlowContext, setSelection`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Tooltip

    public Tooltip()

### Method Detail

#### setHeader

    public void setHeader(java.lang.String text)

#### setDescription

    public void setDescription(java.lang.String text)

#### getPreferredSize

    public org.eclipse.draw2d.geometry.Dimension getPreferredSize(int w,
                                                                  int h)

Specified by:
  `getPreferredSize` in interface `org.eclipse.draw2d.IFigure`
Overrides:
  `getPreferredSize` in class `org.eclipse.draw2d.text.FlowPage`